%% Recalculate (interpolate) the data based on the number of sampling points

function [dataOut] = dataSampling(dataIn, nPoints)

dataOut = zeros(nPoints,size(dataIn,2));

nCols = size(dataIn,2);
for i = 1:nCols
    dataOut(:,i) = curveSampling(dataIn(:,i),nPoints);
end

